%define		php_name	php%{?php_suffix}
%define		modname	docblock
%define		status		alpha
Summary:	%{modname} - phpDocumentor-style DocBlock tokenizer
Summary(pl.UTF-8):	%{modname} - tokenizer DocBlock podobny do phpDocumentora
Name:		%{php_name}-pecl-%{modname}
Version:	0.2.0
Release:	3
License:	PHP 3.01
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
# Source0-md5:	678a888b8110a3d31ddcedd03d93bb0c
URL:		http://pecl.php.net/package/docblock/
BuildRequires:	%{php_name}-devel >= 3:5.0.0
BuildRequires:	rpmbuild(macros) >= 1.650
%{?requires_php_extension}
Requires:	php(core) >= 5.0.4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This extension is like the tokenizer extension for PHP. It takes a
document comment (docblock) like this one:

/**
 - information {@inlinetag}
 - @tags
 - */

and parses it into tokens.

The primary function is docblock_tokenize(), which accepts a string,
and returns an array of arrays of array(TOKEN, "token"). TOKEN is one
of DOCBLOCK_* constants.

docblock_tokenize() has an optional second bool parameter that
determine whether to output non-essential tokens like the /** * stuff.

docblock_token_name() takes a DOCBLOCK_* constant and returns its name

In PECL status of this extension is: %{status}.

%description -l pl.UTF-8
Rozszerzenie to jest odpowienikiem rozszerzenia tokenizer. Przyjmuje
blok komentarza podobny do:

/**
 - information {@inlinetag}
 - @tags
 - */

i przetwarza go w tokeny.

Podstawową funkcją jest docblock_tokenize(), która jako argument
przyjmuje string, a zwraca tablicę tablic (TOKEN, "token"). TOKEN to
jedna ze stałych DOCBLOCK_*.

docblock_tokenize() może także przyjąć opcjonalnie drugi argument
(typu boolean), która okresla czy funkcja ma wypisać nieistotne tokeny
takie jak /** * (znaczniki komentarza).

docblock_token_name() jako argument przyjmuje stałą DOCBLOCK_* i
zwraca jej nazwę.

To rozszerzenie ma w PECL status: %{status}.

%prep
%setup -qc
mv %{modname}-%{version}/* .

%build
phpize
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{php_sysconfdir}/conf.d,%{php_extensiondir}}

install -p modules/%{modname}.so $RPM_BUILD_ROOT%{php_extensiondir}
cat <<'EOF' > $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{modname}.ini
; Enable %{modname} extension module
extension=%{modname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%files
%defattr(644,root,root,755)
%doc CREDITS EXPERIMENTAL tests
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{modname}.so
%changelog
* Sun Nov 24 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pecl-docblock.git;a=log;h=master

* Fri Jun 21 2013 Elan Ruusamäe <glen@delfi.ee> cb37eca
support building for multiple php versions

* Tue Jan 31 2012 Elan Ruusamäe <glen@pld-linux.org> 43896a1
- release 3

* Sun Apr 26 2009 Adam Gołębiowski <adamg@pld-linux.org> 8ba3594
- license fixes Andrzej Mateja <amateja () pimpek.one.pl>

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 76c465c
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> e27c373
- converted to UTF-8

* Wed Dec 20 2006 Elan Ruusamäe <glen@pld-linux.org> 72306ec
- use new php extension related macros

* Wed Dec 13 2006 Elan Ruusamäe <glen@pld-linux.org> c778394
- rel 2 (php 5.2.0)

* Thu Nov 02 2006 Elan Ruusamäe <glen@pld-linux.org> 0625a89
- BR rpmmacros for fixed %requires_php_extension

* Wed Jun 28 2006 Adam Gołębiowski <adamg@pld-linux.org> 96ff148
- updated to 0.2.0

* Sat Dec 24 2005 Elan Ruusamäe <glen@pld-linux.org> 0d5c707
- rel 2 (rebuild with new php)

* Sun Nov 27 2005 Jakub Bogusz <qboosh@pld-linux.org> d1c01df
- summaries

* Sat Nov 26 2005 Adam Gołębiowski <adamg@pld-linux.org> e610f00
- new

